Skip to main content
PUT
Update domain settings

Authorizations

X-API-Key
string
header
required

Path Parameters

domain
string<hostname>
required

The domain name.

Body

application/json

The abuse policy settings, downstream addresses, admins and aliases for the domains.

abusePolicy
enum<string> | null

The abuse policy

Available options:
block,
flag,
quarantine
Minimum string length: 1
abusePolicyOverride
boolean | null

If true, this abuse policy overrides the recipient abuse policy.

spamHeaderName
string | null

The spam header name to use if the abuse policy is set to 'flag'.

Minimum string length: 1
spamHeaderValue
string | null

The spam header value to use if the abuse policy is set to 'flag'.

Minimum string length: 1
admins
string[]

A list of email addresses that are the domain admins for the domain.

downstreamAddresses
object[]

The locations of mail servers to which messages will be delivered after filtering.

aliases
string[]

A list of aliases for the domain. Mail is accepted for these domains and routed to the downstreamAddresses defined for the domain.

Response

The domain settings were successfully updated